.p-shop {
    margin-top: 50px;
}

.shop-page-wrapper {
    margin-top: 30px;
}


.shop-categories {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding-top: 20px;
}

.shop-makineri-title {
    padding-top: 20px;
}

.category-filter-btn {
    outline: none;
    border: none;
    padding: unset;
    background: none;
    width: fit-content;
}

.under-categories-main-button button {
    outline: none;
    border: none;
    padding: unset;
    background: none;
    width: fit-content;
    display: flex;
    align-items: center;
    gap: 16px;
}

.under-categories-main-button button svg {
    transition: all .5s ease-in-out;
}

.under-categories-main-button button svg path {
    transition: all .5s ease-in-out;
}

.under-categories-holder {
    max-height: 30px;
    overflow: hidden;
    transition: all .5s ease-in-out;
}

.under-categories-children {
    opacity: 0;
    pointer-events: none;
    transition: all .5s ease-in-out;
    padding-left: 1rem;
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding-top: 5px;
}

.active-under-category {
    max-height: 1000px;
}

.active-under-category .under-categories-children {
    opacity: 1;
    pointer-events: auto;
}

.active-under-category .parent-category-main-button span {
    color: var(--blue);
}

.active-under-category .parent-category-main-button button svg {
    transform: rotate(-180deg);
}

.active-under-category .parent-category-main-button button svg path {
    fill: var(--blue)
}

.active-child-category .under-categories-btn-holder span {
    color: var(--blue);
}

.active-child-category .under-categories-btn-holder button svg {
    transform: rotate(-180deg);
}

.active-child-category .under-categories-btn-holder button svg path {
    fill: var(--blue);
}

.active-child-category .under-categories-children {
    opacity: 1;
    pointer-events: auto;
}

.active-child-category {
    max-height: 1000px;
}

.shop-categories-holder {
    background: #FFF;
    border: 1px solid var(--light-border);
    padding: 10px 15px;
    position: absolute;
    top: 50px;
    left: 0;
    opacity: 0;
    z-index: -1;
    transition: all .5s ease-in-out;
}

.shop-categories-and-filter {
    position: relative;
}

.shop-main-categories-title span {
    font-size: 20px;
    font-weight: 600;
}

.shop-main-categories-title {
    padding-bottom: 20px;
    border-bottom: 1px solid var(--light-border);
}

.shop-main {
    padding-top: 50px;
}

.shop-categories-filter {
    border: none;
    outline: none;
    padding: 10px 15px;
    background: #fff;
    border-radius: var(--link-radius);
    display: flex;
    align-items: center;
    gap: 16px;
    border: 1px solid var(--black);
}

.active-categories-holder .shop-categories-holder {
    opacity: 1;
    z-index: 100;
}

.shop-categories-filter svg path {
    transition: all .5s ease-in-out;
}

.shop-categories-filter span {
    transition: all .5s ease-in-out;
}

.active-filter .shop-categories-filter svg path {
    stroke: var(--blue);
}

.active-filter .shop-categories-filter span {
    color: var(--blue);
}

.shop-search-category {
    margin-top: 50px;
    border-radius: var(--radius);
    border: 1px solid var(--light-border);
    background: #FFF;
    padding: 10px 15px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.shop-active-category-title span {
    font-weight: 600;
}

.shop-current-category span {
    color: var(--blue);
}

.shop-search {
    position: relative;
    width: fit-content;
}

.shop-search input {

    border: 1px solid var(--gray-border);
    padding: 5px 15px;
    border-radius: var(--radius);
}



.shop-search input[type="search"]::-webkit-search-decoration,
.shop-search input[type="search"]::-webkit-search-cancel-button,
.shop-search input[type="search"]::-webkit-search-results-button,
.shop-search input[type="search"]::-webkit-search-results-decoration {
    display: none;
}

.pagination {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 10px;
    flex-wrap: wrap;
}

.item button {
    border-radius: 50%;

}

.item {
    display: flex;
    align-items: center;
    color: var(--blue);
}

.page-btn {
    width: 40px;
    height: 40px;
    font: inherit;
    font-size: 14px;
    background: none;
    border: none;
    outline: none;
    padding: 0;
    display: flex;
    align-items: center;
    border-radius: 50%;
    justify-content: center;
}

.page-btn {
    border: 1px solid var(--blue);
    color: var(--blue);
    background-color: transparent;
    transition: background-color var(--timing-function), color var(--timing-function);
}

.active .page-btn {
    color: var(--white);
    background-color: var(--blue);
}

.shop-category-products-holder {
    display: grid;
    grid-template: auto / repeat(2, calc(50% - 10px));
    gap: 20px;
    margin-top: 30px;
    margin-bottom: 20px;
}

.page-btn-active {
    background-color: var(--blue);
    color: var(--white);
}

.active-category-filter-btn {
    color: var(--blue);
}

.shop-filters-holder {
    display: flex;
    flex-direction: column;
    gap: 20px;
    background: var(--white);
    border-radius: var(--radius);
    padding: 10px 15px;
    box-shadow: var(--box-shadow);
    margin-top: 20px;
    margin-bottom: 30px;
}

.shop-filter-button {
    display: flex;
    align-items: center;
    gap: 10px;
}

.shop-filters-wrapper {
    position: relative;
}

.shop-filter-types-holder {
    position: absolute;
    top: 30px;
    left: 0px;
    display: flex;
    flex-direction: column;
    width: 150px;
    gap: 10px;
    background: var(--white);
    padding: 10px;
    border-radius: var(--radius);
    box-shadow: var(--box-shadow);
    opacity: 0;
    pointer-events: none;
    z-index: 10;
    transition: opacity var(--timing-function);
}

.shop-filter-types-holder button {
    padding: 0px;
    text-align: left;

}

.shop-filter-button svg {
    transition: transform var(--timing-function);
    transform: translate3d(0px, 0px, 0.0001px) rotate(0deg);
}

.active-shop-filters-wrapper .shop-filter-types-holder {
    opacity: 1;
    pointer-events: auto;
}

.active-shop-filters-wrapper .shop-filter-button svg {
    transform: translate3d(0px, 0px, 0.0001px) rotate(-180deg);
}

.shop-filter-button span {
    transition: color var(--timing-function);
}

.shop-filter-button svg path {
    transition: stroke var(--timing-function);
}

.active-shop-filters-wrapper .shop-filter-button svg path {
    stroke: var(--blue);
}

.active-shop-filters-wrapper .shop-filter-button span {
    color: var(--blue);
}

.shop-search label {
    position: absolute;
    left: -10000px;
}

.shop-search button {
    top: 5px;
    right: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.shop-search-term {
    display: none;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
}

.active-search-term {
    display: flex;
}

.shop-search-term svg {
    max-width: 15px;
    max-height: 15px;
    width: auto;
    height: auto;
}

.shop-empty-products {
    display: none;
}

.visible-empty-products {
    display: flex;
}

#shop-product-skeleton {
    margin-bottom: 30px;
}

.shop-empty-products {
    margin-bottom: 30px;
}

@media only screen and (min-width:992px) {
    .p-shop {
        margin-top: 100px;
    }

    .shop-filters-holder {
        margin-top: 0px;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .shop-page-wrapper {
        margin-top: 50px;
    }

    .pagination {
        gap: 15px;
        justify-content: center;
    }

    /* Shop CSS Start */

    .shop-category-products-holder {
        margin-top: 0px;
        margin-bottom: 50px;
        grid-template: auto / repeat(3, calc((100% - (2 * 20px)) / 3));
    }

    .shop-page-wrapper {
        position: relative;
        display: flex;
        gap: 5%;
    }

    .shop-categories-filter {
        display: none;
    }

    .shop-categories-holder {
        position: static;
        top: 0;
        opacity: 1;
        z-index: 10;
        padding: 30px 20px;
    }

    .shop-search-category {
        margin-top: 0;
        width: 100%;
    }

    .shop-items-holder {
        width: 100%;
        flex-wrap: wrap;
    }

    .shop-products-and-pagination {
        width: 73%;
    }

    .shop-category-items-wrapper {
        width: 22%;
    }

    .active-shop-items .shop-items-holder {
        display: grid;
        grid-template: auto / 32% 32% 32%;
        gap: 2%;
        row-gap: 20px;
        margin-top: 50px;
    }

    .active-results {
        display: grid;
        grid-template: auto / 32% 32% 32%;
        gap: 2%;
        margin-top: 50px;
    }

    .shop-search-category {
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-end;
        padding: 25px;
    }

    .shop-active-category {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .shop-search input {
        font-size: 18px;
        line-height: 30px;
        padding: 5px 15px;
    }



    .shop-main {
        padding-top: 100px;
    }

    .shop-main-categories-title span {
        font-size: 25px;
    }

    .shop-makineri-title {
        padding-top: 30px;
    }

    .shop-main-categories-title {
        padding-bottom: 30px;
    }

    .shop-categories {
        padding-top: 30px;
        gap: 15px;
    }



    /* Shop CSS End */
}

@media only screen and (min-width:1200px) {
    .shop-category-products-holder {
        grid-template: auto / repeat(4, calc((100% - (3 * 20px)) / 4));
    }

    #shop-product-skeleton {
        grid-template: auto / repeat(4, calc((100% - (3 * 20px)) / 4));
    }
}

@media only screen and (min-width:1400px) {
    .shop-category-products-holder {
        grid-template: auto / repeat(5, calc((100% - (4 * 20px)) / 5));
    }

    #shop-product-skeleton {
        grid-template: auto / repeat(5, calc((100% - (4 * 20px)) / 5));
    }
}

@media only screen and (hover:hover) and (min-width:992px) {
    .shop-filter-button:hover span {
        color: var(--blue);
    }

    .shop-filter-button:hover svg {
        transform: translate3d(0px, 0px, 0.0001px) rotate(-180deg);
    }

    .shop-filter-button:hover svg path {
        stroke: var(--blue);
    }

    .shop-filter-types-holder button {
        transition: color var(--timing-function);
    }

    .shop-filter-types-holder button:hover {
        color: var(--blue);
    }

    .page-btn svg {
        transition: transform var(--timing-function);
        transform: translate3d(0px, 0px, 0.0001px) rotate(0deg);
    }

    .page-btn svg path {
        transition: stroke var(--timing-function);
    }

    .page-btn.next:not([disabled]):hover svg path,
    .page-btn.prev:not([disabled]):hover svg path {
        stroke: var(--white);
    }

    .page-btn:not([disabled]):hover {
        color: var(--white);
        background-color: var(--blue);
    }

    .prev:not([disabled]):hover svg {
        transform: translate3d(-5px, 0px, 0.0001px);
    }

    .next:not([disabled]):hover svg {
        transform: translate3d(5px, 0px, 0.0001px);
    }

    .category-filter-btn {
        transition: color var(--timing-function);
    }

    .category-filter-btn:hover {
        color: var(--blue);
    }

}